Skip to content

Search for available phone numbers

GET
/numbers/available
countryCode
required
string

ISO 3166-1 alpha-2 country code (e.g., US, CA)

features
string

Comma-separated

areaCode
string

National destination / area code filter

limit
number

Max results (default 10, max 50)

Successful response

Response for GET /numbers/available

object
numbers
required
Array<object>

One available number returned from search

object
phoneNumber
required

E.164

string
locality
string
administrativeArea
string
phoneNumberType

E.g. local, toll_free

string
features

E.g. sms, voice, mms

Array<string>

Bad Request - validation errors, invalid input

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Unauthorized

Payment Required - usage limits exceeded

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Internal Server Error

Bad Gateway - provider error

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string